API documentation | API docs for agents | OpenAPI 3.1
GET /api/v1/billing/carrier-ach-files/{nachaFileId}
ark.get_carrier_ach_file
Returns a visible carrier ACH/NACHA batch with entries and linked carrier payments for reconciliation.
- Availability
- Expanded preview
- Scopes
loads:readbilling:read- ARK permissions
canViewLoadscanViewBilling- Team visibility
- Required and enforced
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
nachaFileIdpathstringrequired- format: uuid
Request body
None.
Example request
Shell
curl 'https://arktms.com/api/v1/billing/carrier-ach-files/<nachaFileId>' \
-H "Authorization: Bearer $ARK_API_TOKEN"Success response
Carrier ACH file
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.nachaFileIdstringrequiredformat: uuid
data.batchNumberintegerrequireddata.fileNamestringrequireddata.effectiveDatestringrequiredformat: date
data.totalAmountstringrequiredDecimal total amount as a string.
data.entryCountintegerrequireddata.statusstringrequireddata.createdAtstringrequiredformat: date-time
data.createdByNamestringrequireddata.csvDataarray<any> | object | nullrequiredStored reconciliation CSV metadata for the batch.
data.entriesarray<object>requireddata.paymentsarray<object>requiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found